TRAYER(1)

NAME
  trayer - a lightweight GTK2-based systray for UNIX desktop

SYNOPSIS
trayer [--edge left|right|top|bottom|none] [--align left|right|center] [--margin <size>] [--widthtype request|pixel|percent ] [--width <size>] [--heighttype <pixel>] [--height <size>] [--SetDockType true|false] [--SetPartialStrut true|false] [--transparent true|false] [--alpha <value>] [--tint <color>] [--distance <length>] [--distancefrom left|right|top|bottom|none] [--expand true|false] [--padding <size>]

DESCRIPTION

trayer is small program designed to provide systray functionality present in GNOME / KDE desktop environments for window managers which doesn't support that function. It's similar to other applications such as peksystray and docker.

trayer code was extracted from fbpanel application, you can find more about it on it's homepage: http://fbpanel.sourceforge.net/

You can find new versions of trayer and support on FVWM-Crystal project homepage: http://fvwm-crystal.berlios.de/

trayer-srg was forked from trayer in January 2010 to add some fancy features and clean up code. It contains all changes from above versions as far as known. Code of trayer-srg can be found on github: http://github.com/sargon/trayer-srg

OPTIONS

-h, --help
    prints help message and exits

-v, --version
    prints version and exits

--edge <edge>
    Use EDGE for orientation. Possible values for EDGE are left, right, top, bottom or none. The default value is bottom.

--align <alignment>
    Orientation of docked icons inside the trayer panel. Possible values are left, center, right, or none. The default value is center.

--margin <size>
    Length of margin in pixels. The default value is 0.

--distance <length>
    Distance between trayer's window and screen edge (in pixels). When set to 0 the option has no effect. The default value is 0.

--distancefrom <edge>
    Specifies which edge to calculate distance from, see --edge. The default value is top.
     When --distance is 0 this option has no effect.

--widthtype request|pixel|percent|none
    Determine how width is calculated.

    request
        Follow application icons' size, so trayer may shrink or expand dynamically.

    pixel
        Set a fixed size, given with --width option in pixels.

    percent
        Set a fixed size, given with --width option in percentage of a length of screen edge.

    none

    The default value is percent.

--width <size>
    Width of a panel. When --widthtype=request this option has no effect. The default value is 100.

--heighttype request|pixel|percent|none
    Determine how height is calculated.

    request
        Follow application icons' size, so trayer may shrink or expand dynamically.

    pixel
        Set a fixed size, given with --height option in pixels.

    percent
        Set a fixed size, given with --height option in percentage of a length of screen edge.

    none

    The default value is pixel.

--height <size>
    Height of trayer's window. When --heigthtype=request this option has no effect. The default value is 26.

--SetDockType true|false
    Identify panel window type as dock. The default value is true.

--SetPartialStrut true|false
    Reserve panel space so that it will not be covered by maximized windows. The default value is false.

--transparent true|false
    Use transparency. The default value is false.

--tint <color>
    Color used to "tint" transparent background. Color is given as a 24-bit C hexadecimal integer, for example: 0xff0000 is red, 0xff8800 is orange and 0x00ff00 is green. The default value is 0xFFFFFFFF.

--alpha <value>
    Percentage of transparency (0 - nontransparent, 255 - fully transparent). value should be a value between 0 and 255. The default value is 127.

--expand true|false
    Specifies if trayer can accommodate extra space or not. The default value is true.

--padding <size>
    Number of extra pixel space between trayer's window frame and docked icons. The default value is 0.

--monitor<monitor>
    Define the monitor on which you like trayer to appear. Number of zero to number of monitors minus one, or the string "primary" are valid. The default value is 0.

EXAMPLES

Place trayer to the top right edge of the screen and prevent other fullsize windows to overlay it:

      trayer trayer --edge top --align right --SetDockType true \
          --SetPartialStrut true --expand true --transparent true

BUGS
Report bugs to the issue tracker: https://github.com/sargon/trayer-srg/issues

CONTRIBUTORS
The following people are or have been involved in the development of trayer:

Maciej Delmanowski <harnir@users.berlios.de>

Anatoly Asviyan <aanatoly@users.sf.net>
    fbpanel

Rafal Bisingier <ravbc@man.poznan.pl>
    conversion of configuration using ~/.fbpanel/* files to commandline options

Grzegorz Niewêg³owski <hoppke@dobremiasto.net>
    code extraction from fbpanel

Thomas Rydzynski
    added new option 'distance'

Keegan Carruthers-Smith <keegan.csmith@gmail.com>
    fix align

Yury Akudovich
    added new option distancefrom option

Jens Peter Secher <jps@debian.org>
    various (debian trayer fork)

Daniel Ehlers <danielehlers@mindeye.net>
    multi monitor support, code cleanup and current maintainer.

Stu Black
    help closing a problem with wrong values in _NET_WM_STRUT_PARTIAL

Michael Weber
    fix build problems, improvements cmdline parameter handling

Johannes Bittner
    primary switch for monitor selection

Vladimir Murzin <murzin.v@gmail.com>
    fixing transparency startup problem

Corey Richardson <corey@octayn.net>
    Found some default value fuckup

Constantine Verutin
    React on changes in monitor setup.

Robbie Harwood
    Fixup build

Omar Sandoval
    Fixups

AUTHOR
  This man page is written by Daniel Ehlers.